# $Revision: 1.132 $, $Date: 2012/03/27 19:12:04 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	GNOME base GUI library
Summary(pl.UTF-8):	Podstawowa biblioteka GUI GNOME
Name:		libgnomeui
Version:	2.24.5
Release:	2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.24/%{name}-%{version}.tar.bz2
# Source0-md5:	d4bb506b1916015323928faab5aa708b
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-vfs2-devel >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.12.8
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonoboui-devel >= 2.24.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnome-devel >= 2.24.0
BuildRequires:	libgnome-keyring-devel >= 2.24.0
BuildRequires:	libgnomecanvas-devel >= 2.20.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.5
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	xorg-lib-libSM-devel
Requires:	libgnome-keyring >= 2.24.0
Requires:	gnome-vfs2-libs >= 2.24.0
Requires:	gtk+2 >= 2:2.12.8
Requires:	libbonoboui >= 2.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don't use the X
Window System.)

%description -l pl.UTF-8
GNOME (GNU Network Object Model Environment) jest przyjaznym dla
użytkownika zestawem aplikacji i narzędzi z graficznym interfejsem do
używania w połączeniu z zarządcą okien X Window System. Pakiet
libgnomeui zawiera biblioteki związane z graficznym interfejsem
użytkownika potrzebne do uruchomienia GNOME (pakiet libgnome zawiera
biblioteki nie używające X Window System).

%package devel
Summary:	Headers for libgnomeui
Summary(pl.UTF-8):	Pliki nagłówkowe libgnomeui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.24.0
Requires:	gnome-vfs2-devel >= 2.24.0
Requires:	gtk+2-devel >= 2:2.12.8
Requires:	libbonoboui-devel >= 2.24.0
Requires:	libglade2-devel >= 1:2.6.2
Requires:	libgnome-keyring-devel >= 2.24.0
Requires:	libjpeg-devel
Requires:	popt-devel >= 1.5
Requires:	xorg-lib-libSM-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to use
libgnomeui.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do kompilacji programów
używających libgnomeui.

%package static
Summary:	Static libgnomeui libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgnomeui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libgnomeui libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek libgnomeui.

%package apidocs
Summary:	libgnomeui API documentation
Summary(pl.UTF-8):	Dokumentacja API libgnomeui
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgnomeui API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgnomeui.

%package examples
Summary:	libgnomeui - example programs
Summary(pl.UTF-8):	libgnomeui - przykładowe programy
Group:		X11/Development/Libraries

%description examples
libgnomeui - example programs.

%description examples -l pl.UTF-8
libgnomeui - przykładowe programy.

%prep
%setup -q

sed -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{?with_apidocs:%{__gtkdocize}}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/gnome/help,%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

cp demos/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# no static modules and *.la for libglade
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%if %{without apidocs}
rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/libgnomeui
%endif

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgnomeui-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeui-2.so.0
%attr(755,root,root) %{_libdir}/libglade/2.0/libgnome.so
%{_pixmapsdir}/gnome-about-logo.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/libgnomeui-2.0
%attr(755,root,root) %{_libdir}/libgnomeui-2.so
%{_pkgconfigdir}/libgnomeui-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeui-2.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomeui.spec,v $
Revision 1.132  2012/03/27 19:12:04  megabajt
- fixed gnome keyring deps
- release 2

Revision 1.131  2011/02/08 05:43:06  wiget
- up to 2.24.5
- removed libtool file

Revision 1.130  2011/02/05 00:38:05  sparky
- added missing language tag in %description

Revision 1.129  2010/09/30 19:54:06  megabajt
- updated to 2.24.4

Revision 1.128  2010/06/06 14:05:35  atler
- replace R: gnome-keyring-devel with R: libgnome-keyring-devel in devel too
- rel 3

Revision 1.127  2010/06/03 00:10:22  baggins
- rel 2

Revision 1.126  2010/05/12 18:56:39  sparky
- replaced BR: gnome-keyring-devel with BR: libgnome-keyring-devel

Revision 1.125  2010/04/02 11:39:13  megabajt
- updated to 2.24.3

Revision 1.124  2010/02/26 22:22:10  hawk
- release 6

Revision 1.123  2010/02/16 23:31:46  sparky
- dropped unused BR: libjpeg-devel

Revision 1.122  2010/02/16 22:22:00  ankry
- ps supported by glibc, rel. 5

Revision 1.121  2010/01/29 23:25:11  arekm
- release 4

Revision 1.120  2010/01/29 20:02:39  sparky
- BR: docbook-dtd412-xml

Revision 1.119  2010/01/29 12:08:13  megabajt
- release 3

Revision 1.118  2009/11/12 12:12:13  patrys
- rebuild
- rel 2

Revision 1.117  2009/10/12 18:16:25  megabajt
- updated to 2.24.2

Revision 1.116  2009/03/20 18:20:22  megabajt
- release 2

Revision 1.115  2009/03/06 15:26:56  megabajt
- updated to 2.24.1

Revision 1.114  2008/11/08 16:50:19  megabajt
- release 2

Revision 1.113  2008/09/25 20:49:11  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.112.2.4  2008/08/19 12:12:14  patrys
- 2.23.90

Revision 1.112.2.3  2008/08/06 12:28:52  patrys
- fix deprecated parts of API

Revision 1.112.2.2  2008/06/16 19:48:22  megabajt
- updated to 2.23.4

Revision 1.112.2.1  2008/06/04 22:03:44  patrys
- 2.23.3

Revision 1.112  2008-04-09 16:41:46  megabajt
- updated to 2.22.1
- release 2 (rpm claims that 2.22.01 is equal to 2.22.1)

Revision 1.111  2008-03-11 16:09:50  megabajt
- updated to 2.22.01

Revision 1.110  2008-03-11 14:37:01  patrys
- 2.22.0
- merged from DEVEL

Revision 1.108.2.7  2008-03-11 14:31:09  patrys
- 2.22.0

Revision 1.108.2.6  2008-02-29 14:34:43  megabajt
- updated to 2.21.92

Revision 1.108.2.5  2008-02-12 10:20:17  megabajt
- ps locale is not supported

Revision 1.108.2.4  2008-02-12 09:29:11  megabajt
- updated to 2.21.91

Revision 1.108.2.3  2008-01-28 16:43:57  megabajt
- updated to 2.21.90

Revision 1.109  2008-01-26 15:43:19  qboosh
- more verbose files, ghost soname symlink
- LGPL v2+

Revision 1.108.2.2  2008-01-15 21:25:57  megabajt
- added apidocs bcond
- updated deps
- more verbose files

Revision 1.108.2.1  2008-01-15 10:34:01  patrys
- 2.21.5

Revision 1.108  2007-10-18 16:29:11  megabajt
- updated to 2.20.1.1

Revision 1.107  2007/10/15 16:49:17  megabajt
- updated to 2.20.1

Revision 1.106  2007/09/19 15:00:06  megabajt
- updated to 2.20.0; merged from DEVEL

Revision 1.105.2.1  2007/08/28 21:46:13  megabajt
- updated to 2.19.1
- added examples subpackage

Revision 1.105  2007/03/14 13:34:56  megabajt
- updated to 2.18.1
- removed obsolete SMlib patch

Revision 1.104  2007/03/13 09:20:35  megabajt
- added patch which fixes detection of SMlib support
- release 2

Revision 1.103  2007/03/12 15:01:19  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.102.2.1  2007/03/01 17:48:26  megabajt
- updated to 2.17.92

Revision 1.102  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.101  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.100  2006/10/13 16:14:45  wolf
- devel R popt-devel

Revision 1.99  2006/10/05 22:14:36  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.98  2006/10/05 12:39:58  grzegol
- 2.16.1

Revision 1.97  2006/09/04 17:52:12  grzegol
- 2.16.0

Revision 1.96  2006/08/20 18:36:18  freetz
- rel.3

Revision 1.95  2006/08/19 19:09:43  freetz
- /usr/share/gnome and /usr/share/gnome/help dirs moved to filesystem.spec

Revision 1.94  2006/08/08 19:23:59  freetz
- rel.2, added apidocs subpkg

Revision 1.93  2006/08/07 20:23:57  freetz
- 2.15.91

Revision 1.92  2006/07/25 16:11:53  freetz
- 2.15.90, removed LDFLAGS

Revision 1.91  2006/07/12 18:21:05  freetz
- 2.15.2, updated deps, --as-needed support

Revision 1.90  2006/07/09 15:41:53  pluto
- release 3 for kill libpng12.la deps.

Revision 1.89  2006/07/02 20:03:12  qboosh
- removed obsolete comment

Revision 1.88  2006/06/07 15:07:36  freetz
- rel.2, zh_HK is back, refresh gtk-doc.make

Revision 1.87  2006/05/24 21:58:48  freetz
- 2.15.1, GNOME 2.15.x deps, remove unsupported locales (zh_HK will be back
  shortly - alreay supported)

Revision 1.86  2006/05/24 08:38:26  qboosh
- merged deps update from AC-branch

Revision 1.82.2.2  2006/05/18 20:16:30  baggins
- release 2
- strict reqs

Revision 1.82.2.1  2006/05/15 12:59:45  baggins
- merged from HEAD
- BR libs from GNOME 2.14

Revision 1.85  2006/04/11 15:20:58  freetz
- 2.14.1

Revision 1.84  2006/04/01 23:47:30  qboosh
- Group consistency

Revision 1.83  2006/04/01 20:54:40  freetz
- merged from DEVEL

Revision 1.81.2.6  2006/03/20 19:30:11  freetz
- rel.2

Revision 1.81.2.5  2006/03/13 13:59:43  freetz
- 2.14.0, depend on libgnome 2.14.0

Revision 1.81.2.4  2006/02/28 08:41:19  freetz
- 2.13.90

Revision 1.81.2.3  2006/01/31 00:24:31  patrys
- proper R: on libbonoboui

Revision 1.81.2.2  2006/01/26 15:55:12  freetz
- 2.13.3

Revision 1.81.2.1  2006/01/18 22:59:37  freetz
- 2.13.2, they included threads patch after 2 years! ;-)

Revision 1.82  2006/02/08 15:20:37  freetz
- 2.12.1

Revision 1.81  2005/09/06 10:54:31  aflinta
- Merged from DEVEL, 2.12.0

Revision 1.79.2.8  2005/08/29 09:33:02  paladine
- updated to 2.11.4

Revision 1.79.2.7  2005/08/23 11:26:52  paladine
- updated to 2.11.3
- sorted %%files

Revision 1.79.2.6  2005/08/18 15:44:40  wiget
- BR libgnomecanvas builded with new cairo

Revision 1.79.2.5  2005/08/17 22:07:41  aflinta
- rebuild with cairo, rel. 2

Revision 1.79.2.4  2005/08/05 12:17:50  freetz
- rel.1, (threads patch updated)

Revision 1.79.2.3  2005/08/05 07:42:57  aflinta
- grrr

Revision 1.79.2.2  2005/08/05 07:42:25  aflinta
- up to version 2.11.2, don't know what to do with threads patch

Revision 1.79.2.1  2005/07/03 15:50:22  freetz
- 2.11.1

Revision 1.79  2005/05/11 17:18:22  pluto
- release 5 for Th.

Revision 1.78  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.77  2005/04/10 17:36:58  freetz
- new style macros, rel.4

Revision 1.76  2005/03/24 06:55:46  freetz
- rel.3 for rebuild with updated threads patch

Revision 1.75  2005/03/20 19:43:29  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.74  2005/03/07 22:59:43  paladine
- merged from DEVEL

Revision 1.72.2.3  2005/03/07 20:46:50  wiget
- updated to 2.10.0
